> ## Documentation Index
> Fetch the complete documentation index at: https://docs.makeswift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Page

> Updates an existing page.

export const ReadinessBadge = ({type}) => {
  const validTags = ["beta", "alpha", "experimental"];
  const tagText = type?.trim().toLowerCase();
  if (!tagText || !validTags.includes(tagText)) return null;
  useEffect(() => {
    const titleElement = document.querySelector("#page-title, .page-title, h1");
    if (!titleElement) return;
    if (titleElement.querySelector(".badge")) return;
    const badge = document.createElement("span");
    badge.className = `badge ${tagText}-badge`;
    badge.textContent = tagText;
    badge.style.transform = "translateY(-3px)";
    titleElement.appendChild(badge);
  }, []);
  return null;
};

<ReadinessBadge type="beta" />


## OpenAPI

````yaml PATCH /v6/pages/{pageIdOrPathname}
openapi: 3.1.0
info:
  title: Makeswift API
  description: Documentation for the Makeswift public REST API.
  version: '1.0'
servers:
  - url: https://api.makeswift.com
    description: Production server
security:
  - Authentication: []
tags:
  - name: Authentication
    description: ''
  - name: Workspace
    description: ''
  - name: Workspace Member
    description: ''
  - name: Site
    description: ''
  - name: Locale
    description: ''
  - name: Route
    description: ''
  - name: Page
    description: ''
  - name: Webhook Management
    description: ''
paths:
  /v6/pages/{pageIdOrPathname}:
    patch:
      tags:
        - Page
      summary: Update Page
      description: Updates an existing page.
      operationId: PageController_updateV6_v6
      parameters:
        - name: pageIdOrPathname
          in: path
          description: The page ID or pathname for the page you are updating.
          required: true
          schema:
            type: string
        - name: siteId
          in: query
          description: The site ID required when using a pathname instead of a page ID.
          required: false
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePageV6RequestBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdatePageV6ResponseBodyDto'
        '400':
          description: Missing pathname field.
        '403':
          description: Access forbidden.
        '409':
          description: A page or route with this pathname already exists.
components:
  schemas:
    UpdatePageV6RequestBodyDto:
      type: object
      properties:
        pathname:
          description: The page pathname.
          type: string
        name:
          description: The page name.
          type: string
          minLength: 1
        isOnline:
          description: The flag that indicates whether the page is online.
          type: boolean
    UpdatePageV6ResponseBodyDto:
      type: object
      properties:
        object:
          type: string
          example: page
          enum:
            - page
        id:
          description: The ID of the page.
          type: string
          format: uuid
        pathname:
          description: The page pathname.
          type: string
          example: furniture
        canonicalUrl:
          description: The canonical URL of the page.
          type: string
          nullable: true
        title:
          description: The page title.
          type: string
          nullable: true
        description:
          description: The page description.
          type: string
          nullable: true
        socialImageUrl:
          description: The social image URL of the page.
          type: string
          nullable: true
        sitemapPriority:
          description: The sitemap priority.
          type: number
          maximum: 1
          minimum: 0
          nullable: true
        sitemapFrequency:
          description: The sitemap update frequency.
          type: string
          enum:
            - always
            - hourly
            - daily
            - weekly
            - monthly
            - yearly
            - never
          nullable: true
        createdAt:
          description: The page creation date and time.
          type: string
          format: date-time
          nullable: true
        updatedAt:
          description: The page last update date and time.
          type: string
          format: date-time
          nullable: true
        publishedAt:
          description: The page publication date and time.
          type: string
          format: date-time
          nullable: true
        isOnline:
          description: The flag that indicates whether the page is online.
          type: boolean
        excludedFromSearchEngines:
          description: The flag that indicates whether the page is excluded from search.
          type: boolean
          nullable: true
        locale:
          description: >-
            The page locale. This defaults to the default locale of the parent
            site.
          type: string
        localizations:
          description: The localizations of the page.
          type: array
          items:
            type: object
            properties:
              locale:
                description: The locale of the localization.
                type: string
              pathname:
                description: The pathname of the localization.
                type: string
              id:
                description: The ID of the localization.
                type: string
                format: uuid
            required:
              - pathname
      required:
        - object
        - id
        - pathname
        - canonicalUrl
        - title
        - description
        - socialImageUrl
        - sitemapPriority
        - sitemapFrequency
        - createdAt
        - updatedAt
        - publishedAt
        - isOnline
        - excludedFromSearchEngines
        - localizations
  securitySchemes:
    Authentication:
      type: apiKey
      in: header
      name: x-api-key
      description: |-
        API key authentication. Accepts either:
        - App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
        - Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

````